# Interface OperationResult

All Known Subinterfaces:
  `FailureResult, SkippedResult, SuccessResult, TaskFailureResult, TaskOperationResult, TaskSkippedResult, TaskSuccessResult, TestFailureResult, TestOperationResult, TestSkippedResult, TestSuccessResult`

@Incubating public interface OperationResult
Describes the result of running an operation.

Since:
  2.4

## Method Summary

Modifier and Type
Method
Description
`long`
`getEndTime()`
Returns the time when the operation finished its execution.
`long`
`getStartTime()`
Returns the time when the operation started its execution.

## Method Details

### getStartTime

long getStartTime()
Returns the time when the operation started its execution.

Returns:
  The start time, in milliseconds since the epoch.

### getEndTime

long getEndTime()
Returns the time when the operation finished its execution.

Returns:
  The end time, in milliseconds since the epoch.